<div class="centered-content">
    <div class="white-box">
        <h1 class="title">Login</h1>
    <div class="field">
        <p class="control">
          <input #emailInput [ngClass]="emailValid ? 'input danger' : 'input'" type="email" placeholder="Email" style="font-size: 1.25rem;">
          <span class="icon">
            <i class="fas fa-envelope" [ngClass]="emailValid ? 'colorRed' : ''"></i>
          </span>
        </p>
        <span style="color: red; font-size: 12px;" *ngIf="emailValid">*Email is required</span>
      </div>
      <div class="field">
        <p class="control">
          <input #passwordInput [ngClass]="passwordValid ? 'input danger' : 'input'" type="password" placeholder="Password" style="font-size: 1.25rem;">
          <span class="icon">
            <i class="fas fa-lock" [ngClass]="passwordValid ? 'colorRed' : ''"></i>
          </span>
        </p>
        <span style="color: red; font-size: 12px;" *ngIf="passwordValid">*Password is required</span>
      </div>
      <small style="color: red; font-size: 12px;" *ngIf="errorMassage">Invalid Email or Password. Please try again!</small>
      <div class="field" style="display: flex; justify-content: flex-end;">
        <p class="control">
          <button class="button is-success" style="font-size: 1.25rem;" (click)="onLoginButtonClicked(emailInput.value, passwordInput.value)">
            Login
          </button>
        </p>
      </div>
      <br/>
      <p class="text-grey">Not got an account?<a routerLink="/signup"> Sign up </a>now!</p>
    </div>
</div>